// Copyright (C) 2008 - INRIA
// Copyright (C) 2009-2011 - DIGITEO
// Copyright (C) 2023 - Samuel GOUGEON - Le Mans Université
//
// This file is released under the 3-clause BSD license. See COPYING-BSD.

mode(-1);
lines(0);

function main_builder()
    TOOLBOX_NAME  = "read_datablock";
    TOOLBOX_TITLE = "read_datablock";
    toolbox_dir   = pathconvert(get_absolute_file_path("builder.sce"),%f);

    // Check Scilab's version
    // ========================================================================
    v = getversion("scilab")
    if v(1) < 6 then
        error(gettext(TOOLBOX_NAME, "Scilab 6 or more is required."));
    end

    // Check modules_manager module availability
    // ========================================================================
    if ~isdef("tbx_build_loader") then
        error(msprintf(gettext("%s module not installed."), "modules_manager"));
    end

    // Action
    // ========================================================================
    tbx_builder_macros(toolbox_dir);
    tbx_builder_help(toolbox_dir);
    if v(1)>5 then
        // tbx_build_localization(toolbox_dir);
        tbx_build_loader(toolbox_dir);
        tbx_build_cleaner(toolbox_dir);
    end
endfunction
// ============================================================================
main_builder();
clear main_builder; // remove main_builder on stack
// ============================================================================
